@use '../../../global/styles/typography';
@use '../../../global/styles/link';
@use '../../../global/styles/border';
@use '../../../global/styles/breakpoint';
@use './styles/notification-alert.variables' as *;
@use './styles/notification-alert.variations' as variations;

:host {
	@include digi-notification-alert--variables;

	::slotted([slot^='heading']) {
		@include typography.heading(4);
	}

	::slotted(a[slot^='link']) {
		@include link.list;

		padding-inline-start: 0;
		padding-block-end: 0;
	}

	::slotted([slot^='link']) {
		display: block;

		a {
			@include link.list;

			padding-inline-start: 0;
			padding-block-end: 0;
		}
	}
}

.digi-notification-alert {
	border: border.$card;
	border-radius: var(--digi--border-radius--primary);
	border-block-start: border.$box;
	border-block-start-color: var(--BORDER-COLOR);
	background: var(--BACKGROUND-COLOR);

	&--variation-info {
		@include variations.variation-info;
	}

	&--variation-danger {
		@include variations.variation-danger;
	}

	&--variation-warning {
		@include variations.variation-warning;
	}
}

.digi-notification-alert__inner {
	display: grid;
	grid-template-columns: min-content min-content;
	grid-template-rows: min-content auto min-content;
	grid-template-areas: 'icon close' 'content content' 'actions actions';
	gap: calc(var(--digi--gutter--icon) * 2);
	max-width: var(--digi--container-width--largest);
	margin: 0 auto;
	padding: var(--digi--gutter--medium) var(--digi--gutter--larger);

	@include breakpoint.below-medium {
		justify-content: space-between;
		align-items: center;
	}

	@include breakpoint.medium {
		grid-template-columns: min-content 1fr auto;
		grid-template-rows: min-content auto;
		grid-template-areas: 'icon content actions' 'icon content actions';

		.digi-notification-alert--closeable & {
			grid-template-areas: 'icon content close' 'icon content actions';
		}
	}
}

.digi-notification-alert__icon {
	grid-area: icon;

	digi-icon {
		--digi--icon--color: var(--ICON-COLOR);
		--digi--icon--width: 32px;
		--digi--icon--height: 32px;
	}
}

.digi-notification-alert__content {
	grid-area: content;
}

.digi-notification-alert__close-button {
	grid-area: close;
	justify-self: end;
}

.digi-notification-alert__actions {
	grid-area: actions;
}

.digi-notification-alert__text {
	--digi--typography--body--font-size--desktop: var(--digi--global--typography--font-size--smaller);
	--digi--typography--body--font-size--mobile: var(--digi--global--typography--font-size--smaller);
	--digi--typography--body--line-height--desktop: var(--digi--global--typography--line-height--smaller);
	--digi--typography--body--line-height--mobile: var(--digi--global--typography--line-height--smaller);
}
